Package com.sas.lsaf.content.repository

## Class CheckedOutFilesQuery

- java.lang.Object
- - com.sas.lsaf.content.repository.CheckedOutFilesQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CheckedOutFilesQuery
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents information to filter checked out files. Specifying a null or empty userID queries the current user's checked out files. If * is specified for userID, all users' checked out files are queried, if you have the Manage Checked-out Files privilege. Without the privilege, only the current user's file are returned. Wildcards are supported in all of the query fields.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckedOutFilesQuery()` | Zero-arg constructor.
    `CheckedOutFilesQuery​(java.lang.String userId, java.lang.String name, java.lang.String location)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getLocation()` | Gets the location to query for checked out files.
    `java.lang.String` | `getName()` | Gets the name of the file to query for checked out files.
    `java.lang.String` | `getUserId()` | Gets the userID of the user whose checked out files are queried.
    `void` | `setLocation​(java.lang.String location)` | Set the name to query for checked out files.
    `void` | `setName​(java.lang.String name)` | Sets the name of the file to query for checked out files.
    `void` | `setUserId​(java.lang.String userId)` | Sets the userID of the user whose checked out files are queried.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckedOutFilesQuery

          public CheckedOutFilesQuery()

      Zero-arg constructor.

    - #### CheckedOutFilesQuery

          public CheckedOutFilesQuery​(java.lang.String userId,
                                      java.lang.String name,
                                      java.lang.String location)

      Constructor.
      Parameters:
        `userId` - the userID of the user whose checked out files are queried.
        `name` - the name of the file to query for checked out files.
        `location` - the location to query for checked out files.

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets the userID of the user whose checked out files are queried.
      Returns:
        The userID of the user whose checked out files are queried. Null or blank specifies that the current user's files are queried. * queries all users' files.

    - #### setUserId

          public void setUserId​(java.lang.String userId)

      Sets the userID of the user whose checked out files are queried. Specifying null or empty queries the current user's checked out files. Specifying * queries all users' checked out files if the current user does not have the Manage Checked-out Files privilege. Otherwise, only the current user's files are returned. Wild cards are supported.
      Parameters:
        `userId` - The userID to query. Null or blank results in the current user's files. * queries all users' files.

    - #### getName

          public java.lang.String getName()

      Gets the name of the file to query for checked out files.
      Returns:
        The name of the file to query for checked out files. Null specifies that all names are queried.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the file to query for checked out files. Wild cards are supported.
      Parameters:
        `name` - The name of the file to query for checked out files. Null specifies that all names are queried.

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location to query for checked out files.
      Returns:
        The location to query for checked out files. Null specifies that all locations are queried.

    - #### setLocation

          public void setLocation​(java.lang.String location)

      Set the name to query for checked out files. Wild cards are supported.
      Parameters:
        `location` - The location to query for checked out files. Null specifies that all locations are queried.